package org.example.frayluisaaa;

import android.content.Context;
import android.content.Intent;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

import java.util.Vector;

/**
 * Created by nacho on 05/12/2016.
 */

public class AdaptadorCalendario extends FirebaseRecyclerAdapter<Jornada,AdaptadorCalendario.ViewHolder> {

    private LayoutInflater inflador;
    protected DatabaseReference calendarioReference;
    private Context contexto;


    public AdaptadorCalendario(Context context, DatabaseReference reference) {
        super(Jornada.class, R.layout.elemento_calendario,ViewHolder.class,reference);
        inflador = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.calendarioReference = reference;
        this.contexto = context;
    }

    @Override
    public AdaptadorCalendario.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = inflador.inflate(R.layout.elemento_calendario, parent, false);
        return new AdaptadorCalendario.ViewHolder(view);
    }

    @Override
    protected void populateViewHolder(final AdaptadorCalendario.ViewHolder holder, Jornada item, int position){
        String jornada = item.getJornada();
        String horario = item.getHorario();
        String partido = item.getPartido();
        String campo = item.getCampo();

        holder.jornada.setText(jornada);
        holder.horario.setText(horario +" "+ partido +" "+ campo);
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        public TextView jornada;
        public TextView horario;
        public ImageView icono;

       public ViewHolder(View itemView) {
            super(itemView);
            icono = (ImageView)itemView.findViewById(R.id.imageView);
            jornada = (TextView) itemView.findViewById(R.id.jornada);
            horario = (TextView)itemView.findViewById(R.id.horario);
        }

    }



}
