package org.example.frayluisaaa;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

/**
 * Created by nacho on 04/09/2017.
 */

public class AdaptadorClasificacion extends FirebaseRecyclerAdapter<ClasificacionTabla,AdaptadorClasificacion.ViewHolder> {

    private LayoutInflater inflador;
    protected DatabaseReference clasificacionReference;
    private Context contexto;

    public AdaptadorClasificacion(Context context, DatabaseReference reference) {
        super(ClasificacionTabla.class, R.layout.elemento_clasificacion,ViewHolder.class,reference);
        inflador = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.clasificacionReference = reference;
        this.contexto = context;
    }

    @Override
    public AdaptadorClasificacion.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = inflador.inflate(R.layout.elemento_clasificacion, parent, false);
        return new AdaptadorClasificacion.ViewHolder(view);
    }

    @Override
    protected void populateViewHolder(final AdaptadorClasificacion.ViewHolder holder, ClasificacionTabla item, int position){
        String equipo = item.getEquipo();
        String jugados = item.getJugados();
        String ganados = item.getGanados();
        String empatados = item.getEmpatados();
        String perdidos = item.getPerdidos();
        String golesfavor = item.getGolesfavor();
        String golescontra = item.getGolescontra();
        String puntos = item.getPuntos();

        if (equipo.equals("EQUIPO")) {
            holder.equipo.setBackgroundColor(Color.CYAN);
            holder.equipo.setText(equipo);
            holder.jugados.setBackgroundColor(Color.YELLOW);
            holder.jugados.setText(jugados);
            holder.ganados.setBackgroundColor(Color.GREEN);
            holder.ganados.setText(ganados);
            holder.empatados.setBackgroundColor(Color.LTGRAY);
            holder.empatados.setText(empatados);
            holder.perdidos.setBackgroundColor(Color.RED);
            holder.perdidos.setText(perdidos);
            holder.golesFavor.setBackgroundColor(Color.GRAY);
            holder.golesFavor.setText(golesfavor);
            holder.golesContra.setBackgroundColor(Color.WHITE);
            holder.golesContra.setText(golescontra);
            holder.puntos.setBackgroundColor(Color.YELLOW);
            holder.puntos.setText(puntos);
        }
        else{
            holder.equipo.setText(equipo);
            holder.jugados.setText(jugados);
            holder.ganados.setText(ganados);
            holder.empatados.setText(empatados);
            holder.perdidos.setText(perdidos);
            holder.golesFavor.setText(golesfavor);
            holder.golesContra.setText(golescontra);
            holder.puntos.setText(puntos);
        }

    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        public TextView equipo;
        public TextView jugados;
        public TextView ganados;
        public TextView empatados;
        public TextView perdidos;
        public TextView golesFavor;
        public TextView golesContra;
        public TextView puntos;

        public ViewHolder(View itemView) {
            super(itemView);
            equipo = (TextView) itemView.findViewById(R.id.equipo);
            jugados = (TextView) itemView.findViewById(R.id.jugados);
            ganados = (TextView) itemView.findViewById(R.id.ganados);
            empatados = (TextView) itemView.findViewById(R.id.empatados);
            perdidos = (TextView) itemView.findViewById(R.id.perdidos);
            golesFavor = (TextView) itemView.findViewById(R.id.golesFavor);
            golesContra = (TextView) itemView.findViewById(R.id.golesContra);
            puntos = (TextView) itemView.findViewById(R.id.puntos);

        }
    }
}
