package org.example.frayluisaaa;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

import java.util.Vector;

/**
 * Created by nacho on 06/12/2016.
 */

public class AdaptadorGoleador extends FirebaseRecyclerAdapter<GoleadorTabla,AdaptadorGoleador.ViewHolder> {

    private LayoutInflater inflador;
    protected DatabaseReference goleadorReference;
    private Context contexto;

    public AdaptadorGoleador(Context context, DatabaseReference reference) {
        super(GoleadorTabla.class, R.layout.elemento_goleador,ViewHolder.class,reference);
        inflador = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.goleadorReference = reference;
        this.contexto = context;
    }

    @Override
    public AdaptadorGoleador.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = inflador.inflate(R.layout.elemento_goleador, parent, false);
        return new AdaptadorGoleador.ViewHolder(view);
    }

    @Override
    protected void populateViewHolder(final AdaptadorGoleador.ViewHolder holder, GoleadorTabla item, int position){
        String goles = item.getGoles();
        String nombreJugador = item.getNombre();
        String nombreEquipo = item.getEquipo();
        holder.goleador.setText(goles +" "+ nombreJugador +" "+nombreEquipo);
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        public TextView goleador;
        public ImageView icono;

        public ViewHolder(View itemView) {
            super(itemView);
            icono = (ImageView)itemView.findViewById(R.id.imageViewGoleador);
            goleador = (TextView)itemView.findViewById(R.id.goleador);
        }
    }
}
