package org.example.frayluisaaa;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

/**
 * Created by nacho on 08/09/2017.
 */

public class AdaptadorResultado extends FirebaseRecyclerAdapter<ResultadoTabla,AdaptadorResultado.ViewHolder> {

    private LayoutInflater inflador;
    protected DatabaseReference resultadosReference;
    private Context contexto;

    public AdaptadorResultado(Context context, DatabaseReference reference) {
        super(ResultadoTabla.class, R.layout.elemento_goleador,ViewHolder.class,reference);
        inflador = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.resultadosReference = reference;
        this.contexto = context;
    }

    @Override
    public AdaptadorResultado.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = inflador.inflate(R.layout.elemento_ultimajornada, parent, false);
        return new AdaptadorResultado.ViewHolder(view);
    }

    @Override
    protected void populateViewHolder(final AdaptadorResultado.ViewHolder holder, ResultadoTabla item, int position){
        String jornada = item.getJornada();
        String partido1 = item.getPartido1();
        String partido2 = item.getPartido2();
        String partido3 = item.getPartido3();
        String partido4 = item.getPartido4();
        String partido5 = item.getPartido5();
        String partido6 = item.getPartido6();
        String partido7 = item.getPartido7();

        holder.jornada.setText(jornada);
        holder.partido1.setText(partido1);
        holder.partido2.setText(partido2);
        holder.partido3.setText(partido3);
        holder.partido4.setText(partido4);
        holder.partido5.setText(partido5);
        holder.partido6.setText(partido6);
        holder.partido7.setText(partido7);

    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        public TextView jornada;
        public TextView partido1;
        public TextView partido2;
        public TextView partido3;
        public TextView partido4;
        public TextView partido5;
        public TextView partido6;
        public TextView partido7;

        public ViewHolder(View itemView) {
            super(itemView);
            jornada = (TextView)itemView.findViewById(R.id.numeroJornada);
            partido1 = (TextView)itemView.findViewById(R.id.partido1);
            partido2 = (TextView)itemView.findViewById(R.id.partido2);
            partido3 = (TextView)itemView.findViewById(R.id.partido3);
            partido4 = (TextView)itemView.findViewById(R.id.partido4);
            partido5 = (TextView)itemView.findViewById(R.id.partido5);
            partido6 = (TextView)itemView.findViewById(R.id.partido6);
            partido7 = (TextView)itemView.findViewById(R.id.partido7);
        }
    }
}
