package org.example.frayluisaaa;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.firebase.ui.database.FirebaseRecyclerAdapter;
import com.google.firebase.database.DatabaseReference;

import java.util.Vector;

/**
 * Created by nacho on 06/12/2016.
 */

public class AdaptadorZamora extends FirebaseRecyclerAdapter<ZamoraTabla,AdaptadorZamora.ViewHolder> {

    private LayoutInflater inflador;
    protected DatabaseReference zamoraReference;
    private Context contexto;

    public AdaptadorZamora(Context context, DatabaseReference reference) {
        super(ZamoraTabla.class, R.layout.elemento_zamora,AdaptadorZamora.ViewHolder.class,reference);
        inflador = (LayoutInflater) context
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.zamoraReference = reference;
        this.contexto = context;
    }

    @Override
    public AdaptadorZamora.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = inflador.inflate(R.layout.elemento_zamora, parent, false);
        return new AdaptadorZamora.ViewHolder(view);
    }

    @Override
    protected void populateViewHolder(final AdaptadorZamora.ViewHolder holder, ZamoraTabla item, int position){
        String goles = item.getGoles();
        String nombreJugador = item.getNombre();
        String nombreEquipo = item.getEquipo();
        holder.zamora.setText(goles +" "+ nombreJugador +" "+nombreEquipo);
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        public TextView zamora;
        public ImageView icono;

        public ViewHolder(View itemView) {
            super(itemView);
            icono = (ImageView)itemView.findViewById(R.id.imageViewZamora);
            zamora = (TextView)itemView.findViewById(R.id.zamora);
        }
    }
}
