package org.example.frayluisaaa;

import android.app.Application;
import android.content.Context;
import android.content.Intent;

import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;

/**
 * Created by nacho on 28/08/2017.
 */

public class Aplicacion extends Application {

    private final static String GOLEADOR_CHILD = "goleadores";
    private final static String ZAMORAS_CHILD = "zamoras";
    private final static String CALENDARIOLIGA_CHILD = "calendarioLiga";
    private final static String CALENDARIOCOPA_CHILD = "calendarioCopa";
    private final static String CLASIFICACION_CHILD = "clasificacion";
    private final static String RESULTADOS_CHILD = "resultados";

    private static DatabaseReference goleadorReference;
    private static DatabaseReference zamoraReference;
    private static DatabaseReference calendarioLigaReference;
    private static DatabaseReference calendarioCopaReference;
    private static DatabaseReference clasificacionReference;
    private static DatabaseReference resultadosReference;

    private static Context context;

    @Override
    public void onCreate(){
        super.onCreate();
        Aplicacion.context = getApplicationContext();
        FirebaseDatabase database = FirebaseDatabase.getInstance();
        database.setPersistenceEnabled(true);
        goleadorReference = database.getReference(GOLEADOR_CHILD);
        zamoraReference = database.getReference(ZAMORAS_CHILD);
        calendarioLigaReference = database.getReference(CALENDARIOLIGA_CHILD);
        calendarioCopaReference = database.getReference(CALENDARIOCOPA_CHILD);
        clasificacionReference = database.getReference(CLASIFICACION_CHILD);
        resultadosReference = database.getReference(RESULTADOS_CHILD);

    }

    public static Context getAppContext() {
        return Aplicacion.context;
    }

    public static DatabaseReference getGoleadorReference() {
        return goleadorReference;
    }

    public static DatabaseReference getZamoraReference() { return zamoraReference; }

    public static DatabaseReference getCalendarioLigaReference() { return calendarioLigaReference; }

    public static DatabaseReference getCalendarioCopaReference() { return calendarioCopaReference; }

    public static DatabaseReference getClasificacionReference() { return clasificacionReference; }

    public static DatabaseReference getResultadosReference() { return resultadosReference; }

    static void mostrarDialogo (final Context context, final String mensaje){
        Intent intent = new Intent(context, Dialogo.class);
        intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        intent.putExtra("mensaje", mensaje);
        context.startActivity(intent);
    }
}
